Bug 103946 - [nouveau] Slowish and rough graphical interface with GTX 1060
Summary: [nouveau] Slowish and rough graphical interface with GTX 1060
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-28 00:50 UTC by neules
Modified: 2018-01-29 17:34 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
dmesg (66.03 KB, text/plain)
2017-11-28 00:50 UTC, neules
no flags Details
lsblk (1.03 KB, text/plain)
2017-11-28 00:51 UTC, neules
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description neules 2017-11-28 00:50:22 UTC
Created attachment 135741 [details]
dmesg

I have an eVGA geforce gtx 1060 6gb graphics card, I'm using nouveau drivers (1.0.15-2), I'm on kernel 4.13.12-1 and I run Wayland (echo $XDG_SESSION_TYPE prints wayland). I don't know if you need something else :(

Starts with a freeze, immediately following a slowish and rough/rude mouse pointer movement and graphical interface. Describing what and when happens in graphical interface: 
-Gnome-shell's activities menu lasts a lot to appear, and scrolling between the list of applications is slowish and rough
-Switching between virtual desktops that has programs running into lasts (to draw) too, but not between those that hasn't.
-Movies aren't playing. Movie player's taskbar indicator appears but no appears the movie player per se, it doesn't show up. Audio is playing without interrupts fluently.
-Menus are displaying with slowness too.

It happens every time I boot on linux from a power off, but if I came from a restart from Windows 10 it boots ok.
It apparently affects only mouse. When writing the keyboard its fluent and it doesn't stops drawing on screen what i'm writing for 1 or 2 seconds after showing everything I've written, like it does with the mouse device.
It happens in gdm and within gnome-shell session.

Bug appears on any of these two cases:

Steps to reproduce #1:
1. switch on from a previous power off.
2. select linux on grub.
3. boot.

Steps to reproduce #2:
1. switch on from a previous power off.
2. select windows 10 on grub.
3. power off from windows 10.
4. switch on.
5. select linux on grub.
6. boot.

Before gdm starts it's printed:
nouveau 0000:01:00.0: DRM: Pointer to flat panel table invalid
nouveau 0000:01:00.0: secboot: error during falcon reset: -110
nouveau 0000:01:00.0: gr: init failed, -110

Bug doesn't show up when:
1. switch on
2. select windows 10 on grub.
3. restart from windows 10.
4. select linux from grub.
5. boot

dmesg attached as a file.

lsblk -f:
NAME   FSTYPE LABEL        UUID                                 MOUNTPOINT
sda                                                             
├─sda1 ntfs   Recuperación F6E6FC90E6FC51FB                     
├─sda2 vfat                B200-9D56                            
├─sda3                                                          
├─sda4 ntfs                1C1615131614F00E                     
└─sda5 ntfs   STEAM        E61E74281E73F043                     
sdb                                                             
├─sdb1 vfat                5B15-98FD                            /boot
├─sdb2 ext4                e7c2fde7-8120-4720-940a-a7b788bbd365 /
└─sdb3 ext4                8d5f5ffe-38fb-4889-9887-c59a971677f6 /home
sdc                                                             
└─sdc1 ntfs   XTRA         4010750510750368                     
sdd                                                             
sr0    udf    WD Unlocker  57b20d3800000000                     /run/media/uri/WD Unlocker


Thanks in advance.
Comment 1 neules 2017-11-28 00:51:03 UTC
Created attachment 135742 [details]
lsblk
Comment 2 Ilia Mirkin 2017-11-28 00:55:26 UTC
This is an indication that the secure falcons aren't starting up properly with their signed firwmare.

Without acceleration, everything is CPU-rendered, hence the lagginess.

Not sure I can provide much more insight.
Comment 3 neules 2017-11-28 12:29:50 UTC
Do you need any further information? I can provide as long as I can understand what are you asking for...

By your answer I'm guessing you are saying DRI it's involved, and it's not activated. If there's something else I can do just ask me, please. Should I post xorg.log?

Tia
Comment 4 Emil Velikov 2017-11-28 16:08:20 UTC
Issue is far before anything called DRI comes to play. Some of the HW units dealing with acceleration fail to init, hence everything is rendered by the CPU and slow.

Karol has posted a workaround [1] which seems mildly related. You can try it by rebuilding the kernel with the patch applied. 


[1] https://patchwork.freedesktop.org/patch/190668/
Comment 5 caguduzexi 2018-01-29 14:08:03 UTC
I wont recommend using/keeping the GP106 (GTX 1060). It cant ever run with free software: https://www.theregister.co.uk/2015/04/15/nvidia_gtx_900_linux_driver_roadbloack/
https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2017
https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2016-NVIDIA

Sell this crappy GP102 card away and go away from nvidia. Nvidia died with the 780ti card. Its the last end-user card that can be used normaly. Everything else is in some countries even a legal problem. Because the manufacturer (nvidia) blocks the users from beeing able to boot the software they want on THEIR hardware - happyly illegal in some countries. Hopefully some layer would sue the heck out of nvidia so that they would have to release the private signing key or close their doors.
Blocking the freedom of the users on such way should not be accepted by anyone.
Comment 6 Martin Peres 2018-01-29 17:34:47 UTC
(In reply to caguduzexi from comment #5)
> I wont recommend using/keeping the GP106 (GTX 1060). It cant ever run with
> free software:
> https://www.theregister.co.uk/2015/04/15/
> nvidia_gtx_900_linux_driver_roadbloack/
> https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2017
> https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2016-NVIDIA
> 
> Sell this crappy GP102 card away and go away from nvidia. Nvidia died with
> the 780ti card. Its the last end-user card that can be used normaly.
> Everything else is in some countries even a legal problem. Because the
> manufacturer (nvidia) blocks the users from beeing able to boot the software
> they want on THEIR hardware - happyly illegal in some countries. Hopefully
> some layer would sue the heck out of nvidia so that they would have to
> release the private signing key or close their doors.
> Blocking the freedom of the users on such way should not be accepted by
> anyone.

User banned


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.